Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

o

scala.tools.scalap.scalax.rules.scalasig

# NoSymbol 

###

#### object NoSymbol extends Symbol with Product with Serializable

Source
  Symbol.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Symbol, Flags, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoSymbol
2. Serializable
3. Serializable
4. Product
5. Equals
6. Symbol
7. Flags
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def children: collection.immutable.Nil.type
   Definition Classes
     NoSymbol → Symbol
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
11.  def hasFlag(flag: Long): Boolean
    Definition Classes
      NoSymbol → Flags
12.  def isAbstract: Boolean
    Definition Classes
      Flags
13.  def isAbstractOverride: Boolean
    Definition Classes
      Flags
14.  def isAccessor: Boolean
    Definition Classes
      Flags
15.  def isBridge: Boolean
    Definition Classes
      Flags
16.  def isByNameParam: Boolean
    Definition Classes
      Flags
17.  def isCaptured: Boolean
    Definition Classes
      Flags
18.  def isCase: Boolean
    Definition Classes
      Flags
19.  def isCaseAccessor: Boolean
    Definition Classes
      Flags
20.  def isContravariant: Boolean
    Definition Classes
      Flags
21.  def isCovariant: Boolean
    Definition Classes
      Flags
22.  def isDeferred: Boolean
    Definition Classes
      Flags
23.  def isDeprecated: Boolean
    Definition Classes
      Flags
24.  def isError: Boolean
    Definition Classes
      Flags
25.  def isExistential: Boolean
    Definition Classes
      Flags
26.  def isExpandedName: Boolean
    Definition Classes
      Flags
27.  def isFinal: Boolean
    Definition Classes
      Flags
28.  def isImplementationClass: Boolean
    Definition Classes
      Flags
29.  def isImplicit: Boolean
    Definition Classes
      Flags
30.  def isInConstructor: Boolean
    Definition Classes
      Flags
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  def isInterface: Boolean
    Definition Classes
      Flags
33.  def isJava: Boolean
    Definition Classes
      Flags
34.  def isLabel: Boolean
    Definition Classes
      Flags
35.  def isLazy: Boolean
    Definition Classes
      Flags
36.  def isLifted: Boolean
    Definition Classes
      Flags
37.  def isLocal: Boolean
    Definition Classes
      Flags
38.  def isMethod: Boolean
    Definition Classes
      Flags
39.  def isMixedIn: Boolean
    Definition Classes
      Flags
40.  def isModule: Boolean
    Definition Classes
      Flags
41.  def isModuleVar: Boolean
    Definition Classes
      Flags
42.  def isMonomorphic: Boolean
    Definition Classes
      Flags
43.  def isMutable: Boolean
    Definition Classes
      Flags
44.  def isOverloaded: Boolean
    Definition Classes
      Flags
45.  def isOverride: Boolean
    Definition Classes
      Flags
46.  def isPackage: Boolean
    Definition Classes
      Flags
47.  def isParam: Boolean
    Definition Classes
      Flags
48.  def isParamAccessor: Boolean
    Definition Classes
      Flags
49.  def isPreSuper: Boolean
    Definition Classes
      Flags
50.  def isPrivate: Boolean
    Definition Classes
      Flags
51.  def isProtected: Boolean
    Definition Classes
      Flags
52.  def isSealed: Boolean
    Definition Classes
      Flags
53.  def isStable: Boolean
    Definition Classes
      Flags
54.  def isStatic: Boolean
    Definition Classes
      Flags
55.  def isSuperAccessor: Boolean
    Definition Classes
      Flags
56.  def isSynthetic: Boolean
    Definition Classes
      Flags
57.  def isTrait: Boolean
    Definition Classes
      Flags
58.  def name: String
    Definition Classes
      NoSymbol → Symbol
59.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
60.  final def notify(): Unit
    Definition Classes
      AnyRef
61.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
62.  def parent: None.type
    Definition Classes
      NoSymbol → Symbol
63.  def path: String
    Definition Classes
      Symbol
64.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
65.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
66.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
67.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Symbol

### Inherited from Flags

### Inherited from AnyRef

### Inherited from Any

### Ungrouped